Subject: Re: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Thu, 01 Oct 2015 12:45:40 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Rainer M Krug <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 01 Oct 2015 10:21:04 +0200
>> 
>> OK - it seems not to continue after some time after the breakpoint at
>> line 4199.
>> 
>> Attached are the log and the script I used.
>> 
>> I'll leave the session open.
>> 
>> This seems to be triggered by something else - I manually entered "c"
>> but it just gave me this output (also at the end of the log):
>> 
>> ,----
>> | (gdb) c
>> | Continuing.
>> | 
>> | Program received signal EXC_BAD_ACCESS, Could not access memory.
>> | Reason: KERN_INVALID_ADDRESS at address: 0x00000000016519e0
>> | free_realized_faces (c=0x1016519c0) at xfaces.c:4199
>> | 4199	      c->used = 0;
>> | (gdb) p c->used
>> | $502 = 26
>> | (gdb)
>> `----
>
> This is strange: the problematic address, 0x00000000016519e0, is the
> address of the cache (0x1016519c0) with the 33rd bit reset.  Are you
> sure you don't have some hardware problem on that machine?
>
> Or maybe it's a GDB bug?  Or even some kernel bug?

I somehow have the feeling that it could be a kernel bug, as I have other
strange things happening as well which also could be caused by a kernel
bug. As I am planing to upgrade to El Capitan today or tomorrow, I will
wait with further test until then and let you know.

Another pointer towards the kernel: the error only occurred after a
holiday, which resulted in the upgrade of the OS, emacs, packages, ...

So I could not pinpoint what caused it.

>
> I don't really understand what this means.  I can only suggest to run
> another session with the same commands, and see if it fails in the
> same way.

This was already the third session, as it also did not make sense to
me. Also: continued "continue" resulted in exactly the same error
message and no continuation.

OK - I will then upgrade and report back in a few days time to see if
the upgrade solved the problem.

If it was kernel, I am really sorry for your wasted time,

I will report back then,

Thanks a lot,

Rainer

> Thanks.

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982